## qclib 1.1.0

=== Makefile ===
# Copyright IBM Corp. 2013, 2015

# Versioning scheme: major.minor.bugfix
#     major : Backwards compatible changes to the API
#     minor : Additions leaving the API unmodified
#     bugfix: Bugfixes only
VERM    = 1
VERSION = $(VERM).1.0
CFLAGS  = -g -Wall -O2
CFILES  = query_capacity_data.c query_capacity.c query_capacity_sthyi.c query_capacity_sysinfo.c query_capacity_hypfs.c
OBJECTS = $(patsubst %.c,%.o,$(CFILES))
.SUFFIXES: .o .c

ifneq ("${V}","1")
        MAKEFLAGS += --quiet
	cmd = echo $1$2;
else
	cmd =
endif
CC	= $(call cmd,"  CC    ",$@)gcc
LINK	= $(call cmd,"  LINK  ",$@)gcc
AR	= $(call cmd,"  AR    ",$@)ar
DOC	= $(call cmd,"  DOC   ",$@)doxygen
TAR	= $(call cmd,"  TAR   ",$@)tar
GEN	= $(call cmd,"  GEN   ",$@)grep

all: libqc.a libqc.so.$(VERSION) qc_test qc_test-sh

hcpinfbk_qclib.h: hcpinfbk.h
	$(GEN) -ve "^#pragma " $< > $@	# strip off z/VM specific pragmas

%.o: %.c query_capacity.h query_capacity_int.h query_capacity_data.h hcpinfbk_qclib.h
	$(CC) $(CFLAGS) -fpic -c $< -o $@

libqc.a: $(OBJECTS)
	$(AR) rcs $@ $^

libqc.so.$(VERSION): $(OBJECTS)
	$(LINK) -shared $^ -o $@

qc_test: qc_test.c libqc.a
	$(CC) $(CFLAGS) -static $< -L. -lqc -o $@

qc_test-sh: qc_test.c libqc.so.$(VERSION)
	$(CC) $(CFLAGS) -L. $< -o $@ libqc.so.$(VERSION)

test: qc_test
	./$<

test-sh: qc_test-sh
	LD_LIBRARY_PATH=. ./$<

doc: html

html: $(CFILES) query_capacity.h query_capacity_int.h query_capacity_data.h hcpinfbk_qclib.h
	@if [ "`which doxygen 2>/dev/null`" != "" ]; then \
		$(DOC) config.doxygen 2>&1 | sed 's/^/    /'; \
	else \
		echo "Error: 'doxygen' not installed"; \
	fi

install: libqc.a libqc.so.$(VERSION)
	echo "  INSTALL"
	install -Dm 644 libqc.a $(DESTDIR)/usr/lib64/libqc.a
	install -Dm 755 libqc.so.$(VERSION) $(DESTDIR)/usr/lib64/libqc.so.$(VERSION)
	ln -sr $(DESTDIR)/usr/lib64/libqc.so.$(VERSION) $(DESTDIR)/usr/lib64/libqc.so.$(VERM)
	ln -sr $(DESTDIR)/usr/lib64/libqc.so.$(VERSION) $(DESTDIR)/usr/lib64/libqc.so
	install -Dm 644 query_capacity.h $(DESTDIR)/usr/include/query_capacity.h
	install -Dm 644 README $(DESTDIR)/usr/share/doc/packages/qclib/README
	install -Dm 644 LICENSE $(DESTDIR)/usr/share/doc/packages/qclib/LICENSE

installdoc: doc
	echo "  INSTALLDOC"
	install -dm 755 $(DESTDIR)/usr/share/doc/packages/qclib/html
	cp -r html/* $(DESTDIR)/usr/share/doc/packages/qclib/html
	chmod 644 $(DESTDIR)/usr/share/doc/packages/qclib/html/search/*
	chmod 644 $(DESTDIR)/usr/share/doc/packages/qclib/html/*
	chmod 755 $(DESTDIR)/usr/share/doc/packages/qclib/html/search

clean:
	echo "  CLEAN"
	rm -f $(OBJECTS) libqc.a libqc.so.$(VERSION) qc_test qc_test-sh hcpinfbk_qclib.h
	rm -rf html

=== debian/changelog ===
qclib (1.1.0-0ubuntu1) xenial; urgency=medium

  * Initial release LP: #1544101.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Wed, 17 Feb 2016 11:41:38 +0000

=== debian/control ===
Source: qclib
Priority: optional
Maintainer: Dimitri John Ledkov <xnox@ubuntu.com>
Build-Depends: debhelper (>=9)
Standards-Version: 3.9.6
Section: libs
Homepage: http://www.ibm.com/developerworks/linux/linux390/qclib.html

Package: qclib-dev
Section: libdevel
Architecture: s390x
Depends: libqc1 (= ${binary:Version}), ${misc:Depends}
Description: query capacity library (development package)
 qclib provides a C API for extraction of system information
 for Linuz on z Systems.
 .
 This package provides development headers.

Package: libqc1
Architecture: s390x
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: query capacity library
 qclib provides a C API for extraction of system information
 for Linuz on z Systems.

Package: qclib-test
Architecture: s390x
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: query capacity library (tests)
 qclib provides a C API for extraction of system information
 for Linuz on z Systems.
 .
 This package provides test utilities.

## qclib 1.2.0

=== debian/changelog ===
qclib (1.2.0-0ubuntu1) yakkety; urgency=medium

  * New upstream release
  * Update symbols
  * Update standards version

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Fri, 10 Jun 2016 09:50:55 +0100

## qclib 1.3.1

=== Makefile ===
--- 
+++ 
@@ -1,13 +1,14 @@
-# Copyright IBM Corp. 2013, 2015
+# Copyright IBM Corp. 2013, 2017
 
 # Versioning scheme: major.minor.bugfix
 #     major : Backwards compatible changes to the API
 #     minor : Additions leaving the API unmodified
 #     bugfix: Bugfixes only
-VERM    = 1
-VERSION = $(VERM).1.0
-CFLAGS  = -g -Wall -O2
-CFILES  = query_capacity_data.c query_capacity.c query_capacity_sthyi.c query_capacity_sysinfo.c query_capacity_hypfs.c
+VERSION = 1.3.1
+VERM    = $(shell echo $(VERSION) | cut -d '.' -f 1)
+CFLAGS ?= -g -Wall -O2
+CFILES  = query_capacity.c query_capacity_data.c query_capacity_sysinfo.c query_capacity_ocf.c \
+          query_capacity_hypfs.c query_capacity_sthyi.c
 OBJECTS = $(patsubst %.c,%.o,$(CFILES))
 .SUFFIXES: .o .c
 
@@ -36,7 +37,9 @@
 	$(AR) rcs $@ $^
 
 libqc.so.$(VERSION): $(OBJECTS)
-	$(LINK) -shared $^ -o $@
+	$(LINK) -Wl,-soname,libqc.so.$(VERM) -shared $^ -o $@
+	-rm libqc.so.$(VERM) 2>/dev/null
+	ln -s libqc.so.$(VERSION) libqc.so.$(VERM)
 
 qc_test: qc_test.c libqc.a
 	$(CC) $(CFLAGS) -static $< -L. -lqc -o $@
@@ -80,4 +83,4 @@
 clean:
 	echo "  CLEAN"
 	rm -f $(OBJECTS) libqc.a libqc.so.$(VERSION) qc_test qc_test-sh hcpinfbk_qclib.h
-	rm -rf html
+	rm -rf html libqc.so.$(VERM)

=== debian/changelog ===
qclib (1.3.1-0ubuntu1) bionic; urgency=medium

  * New upstream release LP: #1732421
  * Drop patches, no longer required

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Mon, 29 Jan 2018 18:07:35 +0000

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Priority: optional
 Maintainer: Dimitri John Ledkov <xnox@ubuntu.com>
 Build-Depends: debhelper (>=9)
-Standards-Version: 3.9.6
+Standards-Version: 3.9.7
 Section: libs
 Homepage: http://www.ibm.com/developerworks/linux/linux390/qclib.html

=== debian/tests/control ===
Tests: unit-test
Depends: qclib-test

## qclib 1.4.1

=== debian/changelog ===
qclib (1.4.1-0ubuntu1) cosmic; urgency=medium

  * New upstream release LP: #1760803
  * Update debhelper compat, copyright years, standards version, fix
    lintian warnings.

 -- Dimitri John Ledkov 🌈 <xnox@ubuntu.com>  Wed, 04 Jul 2018 11:45:07 +0100

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,8 @@
 Source: qclib
 Priority: optional
 Maintainer: Dimitri John Ledkov <xnox@ubuntu.com>
-Build-Depends: debhelper (>=9)
-Standards-Version: 3.9.7
+Build-Depends: debhelper (>=11)
+Standards-Version: 4.1.4.2
 Section: libs
 Homepage: http://www.ibm.com/developerworks/linux/linux390/qclib.html

## qclib 2.0.1

=== debian/changelog ===
qclib (2.0.1-0ubuntu1) focal; urgency=medium

  * New upstream release LP: #1852718

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Wed, 29 Jan 2020 23:45:08 +0000

## qclib 2.1.0

=== Makefile ===
--- 
+++ 
@@ -4,13 +4,16 @@
 #     major : Backwards compatible changes to the API
 #     minor : Additions leaving the API unmodified
 #     bugfix: Bugfixes only
-VERSION = 1.3.1
+VERSION = 2.1.0
 VERM    = $(shell echo $(VERSION) | cut -d '.' -f 1)
 CFLAGS ?= -g -Wall -O2
-CFILES  = query_capacity.c query_capacity_data.c query_capacity_sysinfo.c query_capacity_ocf.c \
-          query_capacity_hypfs.c query_capacity_sthyi.c
+CFILES  = query_capacity.c query_capacity_data.c query_capacity_sysinfo.c \
+          query_capacity_sysfs.c query_capacity_hypfs.c query_capacity_sthyi.c
 OBJECTS = $(patsubst %.c,%.o,$(CFILES))
 .SUFFIXES: .o .c
+
+LEVEL := $(shell git log --pretty=format:'%h' -n 1)
+DATE  := $(shell git log --pretty=format:'%ai' -n 1)
 
 ifneq ("${V}","1")
         MAKEFLAGS += --quiet

=== debian/changelog ===
qclib (2.1.0-0ubuntu1) focal; urgency=medium

  * New upstream release LP: #1873792
  * Support z15 mainframes with secure IPL

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Mon, 20 Apr 2020 13:42:03 +0100

=== debian/control ===
--- 
+++ 
@@ -9,14 +9,14 @@
 Package: qclib-dev
 Section: libdevel
 Architecture: s390x
-Depends: libqc1 (= ${binary:Version}), ${misc:Depends}
+Depends: libqc2 (= ${binary:Version}), ${misc:Depends}
 Description: query capacity library (development package)
  qclib provides a C API for extraction of system information
  for Linuz on z Systems.
  .
  This package provides development headers.
 
-Package: libqc1
+Package: libqc2
 Architecture: s390x
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Description: query capacity library

## qclib 2.2.1

=== debian/changelog ===
qclib (2.2.1-0ubuntu1) hirsute; urgency=medium

  * New upstream release. Taken from Fedora repositories, as no other
    public download of 2.2.0 or 2.2.1 is available, neither from ibm.com
    or github.com/openmainframeproject/qclib. LP: #1902870, LP: #1902874

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Thu, 12 Nov 2020 11:27:08 +0000

## qclib 2.3.0

=== Makefile ===
# Copyright IBM Corp. 2013, 2020

# Versioning scheme: major.minor.bugfix
#     major : Backwards compatible changes to the API
#     minor : Additions leaving the API unmodified
#     bugfix: Bugfixes only
VERSION    = 2.3.0
VERM       = $(shell echo $(VERSION) | cut -d '.' -f 1)
CFLAGS    ?= -g -Wall -O2
LDFLAGS   ?=
INSTFLAGS ?= -p
CFILES  = query_capacity.c query_capacity_data.c query_capacity_sysinfo.c \
          query_capacity_sysfs.c query_capacity_hypfs.c query_capacity_sthyi.c
OBJECTS = $(patsubst %.c,%.o,$(CFILES))
.SUFFIXES: .o .c
PREFIX  ?= /usr
BINDIR   = ${PREFIX}/bin
DOCDIR	 = ${PREFIX}/share/doc/packages
INCDIR   = ${PREFIX}/include
LIBDIR   = ${PREFIX}/lib64
MANDIR   = ${PREFIX}/share/man


ifneq ("${V}","1")
        MAKEFLAGS += --quiet
	cmd = echo $1$2;
else
	cmd =
endif
CC	= $(call cmd,"  CC    ",$@)gcc
LINK	= $(call cmd,"  LINK  ",$@)gcc
AR	= $(call cmd,"  AR    ",$@)ar
DOC	= $(call cmd,"  DOC   ",$@)doxygen
TAR	= $(call cmd,"  TAR   ",$@)tar
GEN	= $(call cmd,"  GEN   ",$@)grep

all: libqc.a libqc.so.$(VERSION) qc_test qc_test-sh zname zhypinfo

hcpinfbk_qclib.h: hcpinfbk.h
	$(GEN) -ve "^#pragma " $< > $@	# strip off z/VM specific pragmas

%.o: %.c query_capacity.h query_capacity_int.h query_capacity_data.h hcpinfbk_qclib.h
	$(CC) $(CFLAGS) -fpic -fvisibility=hidden -c $< -o $@

libqc.a: $(OBJECTS)
	$(AR) rcs $@ $^

libqc.so.$(VERSION): $(OBJECTS)
	$(LINK) $(LDFLAGS) -Wl,-soname,libqc.so.$(VERM) -shared $^ -o $@
	-rm libqc.so.$(VERM) 2>/dev/null
	ln -s libqc.so.$(VERSION) libqc.so.$(VERM)

zname: zname.c zhypinfo.h libqc.so.$(VERSION)
	$(CC) $(CFLAGS) $(LDFLAGS) -L. $< -o $@ libqc.so.$(VERSION)

zhypinfo: zhypinfo.c zhypinfo.h libqc.so.$(VERSION)
	$(CC) $(CFLAGS) $(LDFLAGS) -L. $< -o $@ libqc.so.$(VERSION)

qc_test: qc_test.c libqc.a
	$(CC) $(CFLAGS) -static $< -L. -lqc -o $@

qc_test-sh: qc_test.c libqc.so.$(VERSION)
	$(CC) $(CFLAGS) $(LDFLAGS) -L. $< -o $@ libqc.so.$(VERSION)

test: qc_test
	./$<

test-sh: qc_test-sh
	LD_LIBRARY_PATH=. ./$<

doc: html

html: $(CFILES) query_capacity.h query_capacity_int.h query_capacity_data.h hcpinfbk_qclib.h
	@if [ "`which doxygen 2>/dev/null`" != "" ]; then \
		$(DOC) config.doxygen 2>&1 | sed 's/^/    /'; \
	else \
		echo "Error: 'doxygen' not installed"; \
	fi

install: libqc.a libqc.so.$(VERSION) zhypinfo zname
	echo "  INSTALL"
	install $(INSTFLAGS) -Dm 644 libqc.a $(DESTDIR)$(LIBDIR)/libqc.a
	install $(INSTFLAGS) -Dm 755 libqc.so.$(VERSION) $(DESTDIR)$(LIBDIR)/libqc.so.$(VERSION)
	ln -sr $(DESTDIR)$(LIBDIR)/libqc.so.$(VERSION) $(DESTDIR)$(LIBDIR)/libqc.so.$(VERM)
	ln -sr $(DESTDIR)$(LIBDIR)/libqc.so.$(VERSION) $(DESTDIR)$(LIBDIR)/libqc.so
	install $(INSTFLAGS) -Dm 755 zname $(DESTDIR)$(BINDIR)/zname
	install $(INSTFLAGS) -Dm 755 zhypinfo $(DESTDIR)$(BINDIR)/zhypinfo
	install $(INSTFLAGS) -Dm 644 zname.8 $(DESTDIR)$(MANDIR)/man8/zname.8
	install $(INSTFLAGS) -Dm 644 zhypinfo.8 $(DESTDIR)$(MANDIR)/man8/zhypinfo.8
	install $(INSTFLAGS) -Dm 644 query_capacity.h $(DESTDIR)$(INCDIR)/query_capacity.h
	install $(INSTFLAGS) -Dm 644 README $(DESTDIR)$(DOCDIR)/qclib/README
	install $(INSTFLAGS) -Dm 644 LICENSE $(DESTDIR)$(DOCDIR)/qclib/LICENSE

installdoc: doc
	echo "  INSTALLDOC"
	install $(INSTFLAGS) -dm 755 $(DESTDIR)$(DOCDIR)/qclib/html
	cp -rp html/* $(DESTDIR)$(DOCDIR)/qclib/html
	chmod 644 $(DESTDIR)$(DOCDIR)/qclib/html/search/*
	chmod 644 $(DESTDIR)$(DOCDIR)/qclib/html/*
	chmod 755 $(DESTDIR)$(DOCDIR)/qclib/html/search

clean:
	echo "  CLEAN"
	rm -f $(OBJECTS) libqc.a libqc.so.$(VERSION) qc_test qc_test-sh hcpinfbk_qclib.h
	rm -rf html libqc.so.$(VERM)
	rm -rf zname zhypinfo

=== debian/changelog ===
qclib (2.3.0-0ubuntu1) impish; urgency=medium

  * New upstream release 2.3.0 LP: #1926586
    Taken from https://github.com/ibm-s390-linux/qclib/releases/tag/2.3.0
  * Fix README.md install rather than README
  * Update symbols

 -- Matthieu Clemenceau <matthieu.clemenceau@canonical.com>  Thu, 05 Aug 2021 12:59:36 -0500

=== debian/control ===
--- 
+++ 
@@ -25,9 +25,18 @@
 
 Package: qclib-test
 Architecture: s390x
-Depends: ${shlibs:Depends}, ${misc:Depends}
+Depends: libqc2 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
 Description: query capacity library (tests)
  qclib provides a C API for extraction of system information
  for Linuz on z Systems.
  .
  This package provides test utilities.
+
+Package: qclib
+Architecture: s390x
+Depends: libqc2 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
+Description: query capacity library (tests)
+ qclib provides a C API for extraction of system information
+ for Linuz on z Systems.
+ .
+ This package provides command line utilities.

=== debian/rules ===
#!/usr/bin/make -f
include /usr/share/dpkg/default.mk

%:
	dh $@ 

override_dh_auto_build:
	dh_auto_build -- V=1

override_dh_auto_install:
	dh_auto_install
	mkdir -p debian/tmp/usr/lib debian/tmp/usr/bin
	mv debian/tmp/usr/lib64 debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)
	cp qc_test-sh debian/tmp/usr/bin/qc_test

#converted into autopkgtest
override_dh_auto_test:

## qclib 2.3.1

=== debian/changelog ===
qclib (2.3.1-0ubuntu1) kinetic; urgency=medium

  * New upstream release 2.3.1 LP: #1982332
  * Remove the only existing quilt patch 'fix-readme-install.diff',
    since the fix is now upstream.
  * Add debian/watch file (in version 4).

 -- Frank Heimes <frank.heimes@canonical.com>  Wed, 20 Jul 2022 13:55:44 +0200

## qclib 2.3.2

=== debian/changelog ===
qclib (2.3.2-0ubuntu1) lunar; urgency=medium

  * New upstream release 2.3.2 LP: #2004526
  * Modify d/control to:
    - update 'Standards-Version' to latest standard 4.6.1.0
    - and modify short description to avoid duplicates.
  * Remove no longer used entry in d/source/include-binaries,
    since there is just one entry, remove entire d/source/include-binaries file.

 -- Frank Heimes <frank.heimes@canonical.com>  Tue, 07 Feb 2023 11:31:07 +0100

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Priority: optional
 Maintainer: Dimitri John Ledkov <xnox@ubuntu.com>
 Build-Depends: debhelper (>=11)
-Standards-Version: 4.1.4.2
+Standards-Version: 4.6.1.0
 Section: libs
 Homepage: http://www.ibm.com/developerworks/linux/linux390/qclib.html
 
@@ -22,21 +22,23 @@
 Description: query capacity library
  qclib provides a C API for extraction of system information
  for Linuz on z Systems.
+ .
+ This package provides the shared objects.
 
 Package: qclib-test
 Architecture: s390x
 Depends: libqc2 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
 Description: query capacity library (tests)
  qclib provides a C API for extraction of system information
- for Linuz on z Systems.
+ for Linuz on z Systems (test package).
  .
  This package provides test utilities.
 
 Package: qclib
 Architecture: s390x
 Depends: libqc2 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
-Description: query capacity library (tests)
+Description: query capacity library (utilities)
  qclib provides a C API for extraction of system information
- for Linuz on z Systems.
+ for Linuz on z Systems (tools/binaries).
  .
  This package provides command line utilities.

## qclib 2.4.0

=== Makefile ===
--- 
+++ 
@@ -4,7 +4,7 @@
 #     major : Backwards compatible changes to the API
 #     minor : Additions leaving the API unmodified
 #     bugfix: Bugfixes only
-VERSION    = 2.3.0
+VERSION    = 2.4.0
 VERM       = $(shell echo $(VERSION) | cut -d '.' -f 1)
 CFLAGS    ?= -g -Wall -O2
 LDFLAGS   ?=
@@ -88,7 +88,7 @@
 	install $(INSTFLAGS) -Dm 644 zname.8 $(DESTDIR)$(MANDIR)/man8/zname.8
 	install $(INSTFLAGS) -Dm 644 zhypinfo.8 $(DESTDIR)$(MANDIR)/man8/zhypinfo.8
 	install $(INSTFLAGS) -Dm 644 query_capacity.h $(DESTDIR)$(INCDIR)/query_capacity.h
-	install $(INSTFLAGS) -Dm 644 README $(DESTDIR)$(DOCDIR)/qclib/README
+	install $(INSTFLAGS) -Dm 644 README.md $(DESTDIR)$(DOCDIR)/qclib/README.md
 	install $(INSTFLAGS) -Dm 644 LICENSE $(DESTDIR)$(DOCDIR)/qclib/LICENSE
 
 installdoc: doc

=== debian/changelog ===
qclib (2.4.0-0ubuntu1) mantic; urgency=medium

  * New upstream release 2.4.0 LP: #2027670
  * d/control: Upgrade Standards-Version to 4.6.2.
  * d/control: Upgrade debhelper-compat 13.
  * d/rules: Removed obsolete trailing space.
  * d/libqc2.symbols: Updated.
  * d//qclib-dev.install: Add static library.

 -- Alexandre Erwin Ittner <alexandre.ittner@canonical.com>  Wed, 02 Aug 2023 16:23:15 +0000

## qclib 2.4.1

=== Makefile ===
--- 
+++ 
@@ -4,7 +4,7 @@
 #     major : Backwards compatible changes to the API
 #     minor : Additions leaving the API unmodified
 #     bugfix: Bugfixes only
-VERSION    = 2.4.0
+VERSION    = 2.4.1
 VERM       = $(shell echo $(VERSION) | cut -d '.' -f 1)
 CFLAGS    ?= -g -Wall -O2
 LDFLAGS   ?=

=== debian/changelog ===
qclib (2.4.1-0ubuntu1) noble; urgency=medium

  * New upstream release LP: #2050028

 -- Alexandre Erwin Ittner <alexandre.ittner@canonical.com>  Wed, 24 Jan 2024 12:34:02 +0000

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,8 @@
 Source: qclib
 Priority: optional
 Maintainer: Dimitri John Ledkov <xnox@ubuntu.com>
-Build-Depends: debhelper (>=11)
-Standards-Version: 4.6.1.0
+Build-Depends: debhelper (>=13), debhelper-compat (= 13)
+Standards-Version: 4.6.2
 Section: libs
 Homepage: http://www.ibm.com/developerworks/linux/linux390/qclib.html

=== debian/rules ===
--- 
+++ 
@@ -2,7 +2,7 @@
 include /usr/share/dpkg/default.mk
 
 %:
-	dh $@ 
+	dh $@
 
 override_dh_auto_build:
 	dh_auto_build -- V=1

## qclib 2.5.0

=== Makefile ===
--- 
+++ 
@@ -4,7 +4,7 @@
 #     major : Backwards compatible changes to the API
 #     minor : Additions leaving the API unmodified
 #     bugfix: Bugfixes only
-VERSION    = 2.4.1
+VERSION    = 2.5.0
 VERM       = $(shell echo $(VERSION) | cut -d '.' -f 1)
 CFLAGS    ?= -g -Wall -O2
 LDFLAGS   ?=

=== debian/changelog ===
qclib (2.5.0-0ubuntu1) oracular; urgency=medium

  * New upstream release LP: #2073082
  * Add DEB_BUILD_MAINT_OPTIONS=hardening=+all to d/rules
    to face lintian message 'hardening-no-bindnow'.
  * Add d/p/fix-typo-in-zname.patch to fix a typo in zname.c and face
    lintian message 'spelling-error-in-binary'.
  * Add d/qclib.lintian-overrides and d/qclib-test.lintian-overrides
    since the package is primarily a library, even if it ships some
    tiny tools on top.

 -- Frank Heimes <frank.heimes@canonical.com>  Mon, 15 Jul 2024 08:49:16 +0200

## qclib 2.5.1

=== Makefile ===
--- 
+++ 
@@ -4,7 +4,7 @@
 #     major : Backwards compatible changes to the API
 #     minor : Additions leaving the API unmodified
 #     bugfix: Bugfixes only
-VERSION    = 2.5.0
+VERSION    = 2.5.1
 VERM       = $(shell echo $(VERSION) | cut -d '.' -f 1)
 CFLAGS    ?= -g -Wall -O2
 LDFLAGS   ?=

=== debian/changelog ===
qclib (2.5.1-0ubuntu1) questing; urgency=medium

  * New upstream release (LP: #2116708)
  * Remove quilt patch d/p/fix-typo-in-zname.patch
    since it's now included in the upstream version.
  * Update Canonical copyright in debian/copyright to (standard) GPL-3.

 -- Patricia Domingues <patricia.domingues@canonical.com>  Tue, 05 Aug 2025 20:59:31 -0300

=== debian/rules ===
--- 
+++ 
@@ -1,4 +1,7 @@
 #!/usr/bin/make -f
+
+export DEB_BUILD_MAINT_OPTIONS=hardening=+all
+
 include /usr/share/dpkg/default.mk
 
 %:

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%qclib-$1.tar.gz%" \
     https://github.com/ibm-s390-linux/qclib/tags \
     (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate
